Source-Changes-HG archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
[src/trunk]: src/sys/kern Fix prototype of last arg of rump_sys_mknod to dev_...
details: https://anonhg.NetBSD.org/src/rev/3e3b6dd01f5c
branches: trunk
changeset: 796065:3e3b6dd01f5c
user: justin <justin%NetBSD.org@localhost>
date: Sun May 18 21:25:44 2014 +0000
description:
Fix prototype of last arg of rump_sys_mknod to dev_t not uint32_t
Discussed with pooka@
See also https://github.com/rumpkernel/buildrump.sh/issues/53
diffstat:
sys/kern/makesyscalls.sh | 6 ++++--
1 files changed, 4 insertions(+), 2 deletions(-)
diffs (20 lines):
diff -r b22bce7f5434 -r 3e3b6dd01f5c sys/kern/makesyscalls.sh
--- a/sys/kern/makesyscalls.sh Sun May 18 18:43:46 2014 +0000
+++ b/sys/kern/makesyscalls.sh Sun May 18 21:25:44 2014 +0000
@@ -1,4 +1,4 @@
-# $NetBSD: makesyscalls.sh,v 1.142 2014/04/27 14:50:23 pooka Exp $
+# $NetBSD: makesyscalls.sh,v 1.143 2014/05/18 21:25:44 justin Exp $
#
# Copyright (c) 1994, 1996, 2000 Christopher G. Demetriou
# All rights reserved.
@@ -609,7 +609,9 @@
# occurence for the default __RENAME()
seen = funcseen[fbase]
funcseen[fbase] = rumpfname
- if (seen)
+ # special case for mknod as type of last argument changed from
+ # uint32_t to dev_t
+ if ((seen && fbase != "mknod") || (!seen && fbase == "mknod"))
return
printf("%s rump_sys_%s(", returntype, realname) > rumpprotos
Home |
Main Index |
Thread Index |
Old Index